import { UseTableDataResult } from '../TableFilters/hooks/useTableData';
import { BaseSyntheticEvent } from 'react';
export declare const FiltersContext: import("react").Context<{
    checkboxData: import("../TableFilters/types").TableFilterConfig;
    wrapperRef: import("react").RefObject<HTMLElement | null> | undefined;
    refsList: import("react").RefObject<HTMLElement | null>[];
    setElementRef: (groupName: string, element: HTMLElement | null) => void;
    onCheckboxToggle: (groupName: string, name: string | number) => void;
    onDropdownChange: (groupName: string, name: string | number) => void;
    onSubmit: (event?: BaseSyntheticEvent) => void;
    onReset: () => void;
    onClear: () => void;
}>;
export declare const useFiltersContext: () => {
    checkboxData: import("../TableFilters/types").TableFilterConfig;
    wrapperRef: import("react").RefObject<HTMLElement | null> | undefined;
    refsList: import("react").RefObject<HTMLElement | null>[];
    setElementRef: (groupName: string, element: HTMLElement | null) => void;
    onCheckboxToggle: (groupName: string, name: string | number) => void;
    onDropdownChange: (groupName: string, name: string | number) => void;
    onSubmit: (event?: BaseSyntheticEvent) => void;
    onReset: () => void;
    onClear: () => void;
};
export declare const FiltersContextProvider: ({ children, ...rest }: {
    children: React.ReactNode;
} & UseTableDataResult) => import("@emotion/react/jsx-runtime").JSX.Element;
